Package com.smartgwt.client.widgets.cube

# Class FacetValueMap

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.cube.FacetValueMap

All Implemented Interfaces:
  `HasHandlers`

public class FacetValueMap extends DataClass
An object mapping `facet ids` to `facetValue ids` within a facet

The facetId → facetValueId mappings in a FacetValueMap describe a specific slice of the dataset. If mappings are included for all facets, a FacetValueMap describes a unique cell. If some facets are omitted, it describes a row, column, or set of rectangular areas, or equivalently, a particular row or column header (if all facetIds in the map are displayed on the same axis)

FacetValueMaps are used in various contexts to describe headers, datasets to be loaded, screen regions, etc.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FacetValueMap()`
  `FacetValueMap(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMapping(String facetId, Integer facetValueId)`
  Add a facet id -> facetValue id mapping to this facetValueMap
  `void`
  `addMapping(String facetId, String facetValueId)`
  Add a facet id -> facetValue id mapping to this facetValueMap
  `String[]`
  `getFacetIds()`
  Returns the array of all facet ids for which this facetValueMap currently contains mapping
  `String`
  `getMapping(String facetId)`
  Get the facetValue id for some facet id within this facet valueMap
  `static FacetValueMap`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `void`
  `removeMapping(String facetId)`
  Remove a facet id -> facetValue id mapping from this facetValueMap

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FacetValueMap

    public FacetValueMap()

  - ### FacetValueMap

    public FacetValueMap(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static FacetValueMap getOrCreateRef(JavaScriptObject jsObj)

  - ### addMapping

    public void addMapping(String facetId, Integer facetValueId)
    Add a facet id -> facetValue id mapping to this facetValueMap
    Parameters:
      `facetId` -
      `facetValueId` -

  - ### addMapping

    public void addMapping(String facetId, String facetValueId)
    Add a facet id -> facetValue id mapping to this facetValueMap
    Parameters:
      `facetId` -
      `facetValueId` -

  - ### getMapping

    public String getMapping(String facetId)
    Get the facetValue id for some facet id within this facet valueMap
    Parameters:
      `facetId` -

  - ### removeMapping

    public void removeMapping(String facetId)
    Remove a facet id -> facetValue id mapping from this facetValueMap
    Parameters:
      `facetId` -

  - ### getFacetIds

    public String[] getFacetIds()
    Returns the array of all facet ids for which this facetValueMap currently contains mapping
    Returns: